Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.base.state.ParameterCollection

class `mvpa2.base.state.``ParameterCollection`(items=None, name=None)

  Container of Parameters for a stateful object.

  Methods

  `clear`(() -> None. Remove all items from D.) |
  `copy`(*args, **kwargs) | Create a copy of a collection.
  `fromkeys`(...) | v defaults to None.
  `get`((k[,d]) -> D[k] if k in D, ...) |
  `has_key`((k) -> True if D has a key k, else False) |
  `is_set`([key]) | If item (or any in the present or listed) was set
  `items`(() -> list of D’s (key, value) pairs, ...) |
  `iteritems`(() -> an iterator over the (key, ...) |
  `iterkeys`(() -> an iterator over the keys of D) |
  `itervalues`(...) |
  `keys`(() -> list of D’s keys) |
  `pop`((k[,d]) -> v, ...) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`(() -> (k, v), ...) | 2-tuple; but raise KeyError if D is empty.
  `reset`([key]) | Reset the conditional attribute defined by `key`
  `reset_value`(key[, missingok]) | Reset all parameters to default values
  `setdefault`((k[,d]) -> D.get(k,d), ...) |

  `update`(source[, copyvalues, memo])

  Parameters: |

  `values`(() -> list of D’s values) |
  `viewitems`(...) |
  `viewkeys`(...) |
  `viewvalues`(...) |
  `which_set`() | Return list of keys which were set

  Initialize the Collection

  Parameters:

  items : dict of IndexedCollectable’s

  > items to initialize with

  name : str

  > name of the collection (as seen in the owner, e.g. ‘ca’)

  Methods

  `clear`(() -> None. Remove all items from D.) |
  `copy`(*args, **kwargs) | Create a copy of a collection.
  `fromkeys`(...) | v defaults to None.
  `get`((k[,d]) -> D[k] if k in D, ...) |
  `has_key`((k) -> True if D has a key k, else False) |
  `is_set`([key]) | If item (or any in the present or listed) was set
  `items`(() -> list of D’s (key, value) pairs, ...) |
  `iteritems`(() -> an iterator over the (key, ...) |
  `iterkeys`(() -> an iterator over the keys of D) |
  `itervalues`(...) |
  `keys`(() -> list of D’s keys) |
  `pop`((k[,d]) -> v, ...) | If key is not found, d is returned if given, otherwise KeyError is raised
  `popitem`(() -> (k, v), ...) | 2-tuple; but raise KeyError if D is empty.
  `reset`([key]) | Reset the conditional attribute defined by `key`
  `reset_value`(key[, missingok]) | Reset all parameters to default values
  `setdefault`((k[,d]) -> D.get(k,d), ...) |

  `update`(source[, copyvalues, memo])

  Parameters: |

  `values`(() -> list of D’s values) |
  `viewitems`(...) |
  `viewkeys`(...) |
  `viewvalues`(...) |
  `which_set`() | Return list of keys which were set

  `reset_value`(key, missingok=False)

    Reset all parameters to default values

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »